<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (version 1.7.0_45) on Wed Oct 14 11:56:20 CEST 2015 -->
<title>User</title>
<meta name="date" content="2015-10-14">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="User";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.technogym.android.unitysdk</div>
<h2 title="Class User" class="title">Class User</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ContentObserver</li>
<li>
<ul class="inheritance">
<li>com.technogym.android.unitysdk.ContentProviderProxy</li>
<li>
<ul class="inheritance">
<li>com.technogym.android.unitysdk.User</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">User</span>
extends com.technogym.android.unitysdk.ContentProviderProxy</pre>
<div class="block">The User content provider that allows you to get and set informations about the user.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#ACCOUNT_TYPE">ACCOUNT_TYPE</a></strong></code>
<div class="block">The account type for the logged user.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#AccountType_facilityUser">AccountType_facilityUser</a></strong></code>
<div class="block">The default value is 2.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#AccountType_none">AccountType_none</a></strong></code>
<div class="block">The default value is 0.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#AccountType_withAccount">AccountType_withAccount</a></strong></code>
<div class="block">The default value is 1.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#AGE">AGE</a></strong></code>
<div class="block">The age of the logged user.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#BIRTHDAY">BIRTHDAY</a></strong></code>
<div class="block">The birthday of the logged user.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#BODYWEIGHT">BODYWEIGHT</a></strong></code>
<div class="block">The body weight of the logged user, in kilograms.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#BODYWEIGHT_LASTUPDATE">BODYWEIGHT_LASTUPDATE</a></strong></code>
<div class="block">The last date on which the user is weighted.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#CONNECTED">CONNECTED</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static Uri</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#CONTENT_URI">CONTENT_URI</a></strong></code>
<div class="block">The Content Provider URI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#defaultAge">defaultAge</a></strong></code>
<div class="block">Default value for the user's age.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#defaultBodyHeight">defaultBodyHeight</a></strong></code>
<div class="block">Default value for the user's body height.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#defaultBodyWeight">defaultBodyWeight</a></strong></code>
<div class="block">Default value for the user's body weight.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#FACEBOOK_TOKEN">FACEBOOK_TOKEN</a></strong></code>
<div class="block">Represent the user facebook token</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#FAV_BT_ACCESSORY">FAV_BT_ACCESSORY</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#FAV_BTLE_ACCESSORY">FAV_BTLE_ACCESSORY</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#FAV_CHANNEL">FAV_CHANNEL</a></strong></code>
<div class="block">The favorite tv channel for the logged user, read from the MyWellnessKey.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#FAV_ENTERTAINMENT">FAV_ENTERTAINMENT</a></strong></code>
<div class="block">The favorite entertainment for the logged user, read from the MyWellnessKey.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#FAV_VOLUME">FAV_VOLUME</a></strong></code>
<div class="block">The favorite volume for the logged user, read from the MyWellnessKey.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#Female">Female</a></strong></code>
<div class="block">The default value is 2</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#GENDER">GENDER</a></strong></code>
<div class="block">The gender of the logged user (1 = male, 2 = female).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#HAS_MYWELLNESSKEY">HAS_MYWELLNESSKEY</a></strong></code>
<div class="block">Flag indicating if the user has the my wellness key.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#headphone">headphone</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#heartbelt">heartbelt</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#HEIGHT">HEIGHT</a></strong></code>
<div class="block">The height of the logged user, in centimeters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#iphone">iphone</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#LANGUAGE">LANGUAGE</a></strong></code>
<div class="block">The language id of the logged user.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#LOGIN_MODE">LOGIN_MODE</a></strong></code>
<div class="block">The login mode for the logged user.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#LoginMedium_Credentials">LoginMedium_Credentials</a></strong></code>
<div class="block">Indicates that the user has logged in with Credentials.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#LoginMedium_Facebook">LoginMedium_Facebook</a></strong></code>
<div class="block">Indicates that the user has logged in with Facebook account.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#LoginMedium_Glass">LoginMedium_Glass</a></strong></code>
<div class="block">Indicates that the user has logged in with Glass.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#LoginMedium_MassStorage">LoginMedium_MassStorage</a></strong></code>
<div class="block">Indicates that the user has logged in with a key (TGS, MyWellnessKey, etc...).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#LoginMedium_NFC">LoginMedium_NFC</a></strong></code>
<div class="block">Indicates that the user has logged in with NFC.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#LoginMedium_None">LoginMedium_None</a></strong></code>
<div class="block">Indicates that the user is not logged.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#LoginMedium_QRCode">LoginMedium_QRCode</a></strong></code>
<div class="block">Indicates that the user has logged in with QR CODE.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#LoginMedium_TAG">LoginMedium_TAG</a></strong></code>
<div class="block">Indicates that the user has logged in with RFID TAG.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#longin">longin</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#Male">Male</a></strong></code>
<div class="block">The default value is 1</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#MAX_HEART_RATE">MAX_HEART_RATE</a></strong></code>
<div class="block">The maximum heart rate for the logged user.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#MWAPPS_USERID">MWAPPS_USERID</a></strong></code>
<div class="block">The user id on MyWellness server for the logged user.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#MWAPPS_USERID_NOTIFICATION">MWAPPS_USERID_NOTIFICATION</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#NAME">NAME</a></strong></code>
<div class="block">The name of the logged user.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#NICKNAME">NICKNAME</a></strong></code>
<div class="block">The nickname of the logged user.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#NoEntertainment">NoEntertainment</a></strong></code>
<div class="block">Indicates that the logged user has no favorite entertainment.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#none">none</a></strong></code>
<div class="block">bluetooth accessories</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#OFFLINE_USERID">OFFLINE_USERID</a></strong></code>
<div class="block">The offline user id.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#Radio">Radio</a></strong></code>
<div class="block">Indicates that the favorite entertainment of the logged user is radio.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#SESSION_ID">SESSION_ID</a></strong></code>
<div class="block">The session id for the logged user.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#smartphone">smartphone</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#smartwatch">smartwatch</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#SURNAME">SURNAME</a></strong></code>
<div class="block">The surname of the logged user.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#TV_Full">TV_Full</a></strong></code>
<div class="block">Indicates that the favorite entertainment of the logged user is TV in full screen mode.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#TV_Partial">TV_Partial</a></strong></code>
<div class="block">Indicates that the favorite entertainment of the logged user is TV.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#UNIT_MEASURE_SYSTEM">UNIT_MEASURE_SYSTEM</a></strong></code>
<div class="block">The unit measure system for the logged user.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#USER_CULTURE">USER_CULTURE</a></strong></code>
<div class="block">The user culture for the logged user.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#USER_EMAIL">USER_EMAIL</a></strong></code>
<div class="block">The mail for the logged user.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#USER_PICTURE">USER_PICTURE</a></strong></code>
<div class="block">The picture type for the logged user.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#USER_PICTURE_URL">USER_PICTURE_URL</a></strong></code>
<div class="block">The picture url for the logged user.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#USER_SESSION_EXPIRED">USER_SESSION_EXPIRED</a></strong></code>
<div class="block">Obtain reference of singleton.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_com.technogym.android.unitysdk.ContentProviderProxy">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.technogym.android.unitysdk.ContentProviderProxy</h3>
<code>cache, ctx, FOR_SYSTEMBAR, observers</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/technogym/android/unitysdk/User.html" title="class in com.technogym.android.unitysdk">User</a></code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#getInstance(Context)">getInstance</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#getMwUserIdfromIntent(Intent)">getMwUserIdfromIntent</a></strong>(Intent&nbsp;intent)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#IsUserLogged()">IsUserLogged</a></strong>()</code>
<div class="block">Indicates whether the user is logged in or not.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#reset()">reset</a></strong>()</code>
<div class="block">Reset every properties of the User content provider.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#reset(Context)">reset</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#tearDown()">tearDown</a></strong>()</code>
<div class="block">Fake tear down does nothing because this Content Provider Proxy is a singleton.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/User.html#userSessionExpiredNotification()">userSessionExpiredNotification</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_com.technogym.android.unitysdk.ContentProviderProxy">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.technogym.android.unitysdk.ContentProviderProxy</h3>
<code>clear, commit, get, getBioFeedbackSample, getBoolean, getByteArray, getDate, getDouble, getFloat, getInt, getLong, getSample, getString, getType, notifyOnChange, notifyOnChange, onChange, removeNotifyOnChange, set, set, set, set, set, set, set, set, set, set, setType</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NAME</h4>
<pre>public static final&nbsp;java.lang.String NAME</pre>
<div class="block">The name of the logged user. To get the value, use a syntax like <code>userCp.getString(User.NAME)</code> where <b><i>userCp</i></b> is an instance of User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="SURNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SURNAME</h4>
<pre>public static final&nbsp;java.lang.String SURNAME</pre>
<div class="block">The surname of the logged user. To get the value, use a syntax like <code>userCp.getString(User.SURNAME)</code> where <b><i>userCp</i></b> is an instance of User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.SURNAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="NICKNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NICKNAME</h4>
<pre>public static final&nbsp;java.lang.String NICKNAME</pre>
<div class="block">The nickname of the logged user. To get the value, use a syntax like <code>userCp.getString(User.NICKNAME)</code> where <b><i>userCp</i></b> is an instance of User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.NICKNAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="AGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AGE</h4>
<pre>public static final&nbsp;java.lang.String AGE</pre>
<div class="block">The age of the logged user. To get the value, use a syntax like <code>userCp.getInt(User.AGE)</code> where <b><i>userCp</i></b> is an instance of User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.AGE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="BODYWEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BODYWEIGHT</h4>
<pre>public static final&nbsp;java.lang.String BODYWEIGHT</pre>
<div class="block">The body weight of the logged user, in kilograms. To get the value, use a syntax like <code>userCp.getString(User.BODYWEIGHT)</code> where <b><i>userCp</i></b> is an instance of
 User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.BODYWEIGHT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="HEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HEIGHT</h4>
<pre>public static final&nbsp;java.lang.String HEIGHT</pre>
<div class="block">The height of the logged user, in centimeters. To get the value, use a syntax like <code>userCp.getInt(User.HEIGHT)</code> where <b><i>userCp</i></b> is an instance of User
 class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.HEIGHT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="GENDER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GENDER</h4>
<pre>public static final&nbsp;java.lang.String GENDER</pre>
<div class="block">The gender of the logged user (1 = male, 2 = female). To get the value, use a syntax like <code>userCp.getInt(User.GENDER)</code> where <b><i>userCp</i></b> is an instance of
 User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.GENDER">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="BIRTHDAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BIRTHDAY</h4>
<pre>public static final&nbsp;java.lang.String BIRTHDAY</pre>
<div class="block">The birthday of the logged user. To get the value, use a syntax like <code>userCp.getString(User.BIRTHDAY)</code> where <b><i>userCp</i></b> is an instance of User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.BIRTHDAY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="BODYWEIGHT_LASTUPDATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BODYWEIGHT_LASTUPDATE</h4>
<pre>public static final&nbsp;java.lang.String BODYWEIGHT_LASTUPDATE</pre>
<div class="block">The last date on which the user is weighted. To get the value, use a syntax like <code>userCp.getString(User.BODYWEIGHT_LASTUPDATE)</code> where <b><i>userCp</i></b> is an
 instance of User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.BODYWEIGHT_LASTUPDATE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LANGUAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LANGUAGE</h4>
<pre>public static final&nbsp;java.lang.String LANGUAGE</pre>
<div class="block">The language id of the logged user. To get the value, use a syntax like <code>userCp.getiNT(User.LANGUAGE)</code> where <b><i>userCp</i></b> is an instance of User class.
 <p>
 To get the instance of Language enum, use syntax like <code>Languages l = Languages.fromTgsCode(id)</code>, where <b><i>id</i></b> is the id obtained with
 <code>userCp.getInt(User.LANGUAGE)</code>.
 </p></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.LANGUAGE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="MAX_HEART_RATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAX_HEART_RATE</h4>
<pre>public static final&nbsp;java.lang.String MAX_HEART_RATE</pre>
<div class="block">The maximum heart rate for the logged user. To get the value, use a syntax like <code>userCp.getInt(User.MAX_HEART_RATE)</code> where <b><i>userCp</i></b> is an instance of User
 class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.MAX_HEART_RATE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FAV_ENTERTAINMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAV_ENTERTAINMENT</h4>
<pre>public static final&nbsp;java.lang.String FAV_ENTERTAINMENT</pre>
<div class="block">The favorite entertainment for the logged user, read from the MyWellnessKey. To get the value, use a syntax like <code>userCp.getInt(User.FAV_ENTERTAINMENT)</code> where
 <b><i>userCp</i></b> is an instance of User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.FAV_ENTERTAINMENT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FAV_CHANNEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAV_CHANNEL</h4>
<pre>public static final&nbsp;java.lang.String FAV_CHANNEL</pre>
<div class="block">The favorite tv channel for the logged user, read from the MyWellnessKey. To get the value, use a syntax like <code>userCp.getInt(User.FAV_CHANNEL)</code> where
 <b><i>userCp</i></b> is an instance of User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.FAV_CHANNEL">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FAV_VOLUME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAV_VOLUME</h4>
<pre>public static final&nbsp;java.lang.String FAV_VOLUME</pre>
<div class="block">The favorite volume for the logged user, read from the MyWellnessKey. To get the value, use a syntax like <code>userCp.getInt(User.FAV_VOLUME)</code> where <b><i>userCp</i></b>
 is an instance of User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.FAV_VOLUME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FAV_BT_ACCESSORY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAV_BT_ACCESSORY</h4>
<pre>public static final&nbsp;java.lang.String FAV_BT_ACCESSORY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.FAV_BT_ACCESSORY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FAV_BTLE_ACCESSORY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAV_BTLE_ACCESSORY</h4>
<pre>public static final&nbsp;java.lang.String FAV_BTLE_ACCESSORY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.FAV_BTLE_ACCESSORY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="CONNECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONNECTED</h4>
<pre>public static final&nbsp;java.lang.String CONNECTED</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.CONNECTED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="SESSION_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SESSION_ID</h4>
<pre>public static final&nbsp;java.lang.String SESSION_ID</pre>
<div class="block">The session id for the logged user. To get the value, use a syntax like <code>userCp.getInt(User.SESSION_ID)</code> where <b><i>userCp</i></b> is an instance of User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.SESSION_ID">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="USER_PICTURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USER_PICTURE</h4>
<pre>public static final&nbsp;java.lang.String USER_PICTURE</pre>
<div class="block">The picture type for the logged user. To get the value, use a syntax like <code>userCp.getString(User.USER_PICTURE)</code> where <b><i>userCp</i></b> is an instance of User
 class.
 <p>
 The allowed types are:
 <ul>
 <li>1 = User image</li>
 <li>M = Generic male image</li>
 <li>F = Generic female image</li>
 </ul>
 </p></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.USER_PICTURE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="USER_PICTURE_URL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USER_PICTURE_URL</h4>
<pre>public static final&nbsp;java.lang.String USER_PICTURE_URL</pre>
<div class="block">The picture url for the logged user. To get the value, use a syntax like <code>userCp.getString(User.USER_PICTURE_URL)</code> where <b><i>userCp</i></b> is an instance of User
 class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.USER_PICTURE_URL">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="USER_EMAIL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USER_EMAIL</h4>
<pre>public static final&nbsp;java.lang.String USER_EMAIL</pre>
<div class="block">The mail for the logged user. To get the value, use a syntax like <code>userCp.getString(User.USER_MAIL)</code> where <b><i>userCp</i></b> is an instance of User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.USER_EMAIL">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="MWAPPS_USERID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MWAPPS_USERID</h4>
<pre>public static final&nbsp;java.lang.String MWAPPS_USERID</pre>
<div class="block">The user id on MyWellness server for the logged user. To get the value, use a syntax like <code>userCp.getString(User.MWAPPS_USERID)</code> where <b><i>userCp</i></b> is an
 instance of User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.MWAPPS_USERID">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="USER_CULTURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USER_CULTURE</h4>
<pre>public static final&nbsp;java.lang.String USER_CULTURE</pre>
<div class="block">The user culture for the logged user. To get the value, use a syntax like <code>userCp.getString(User.USER_CULTURE)</code> where <b><i>userCp</i></b> is an instance of User
 class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.USER_CULTURE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="UNIT_MEASURE_SYSTEM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UNIT_MEASURE_SYSTEM</h4>
<pre>public static final&nbsp;java.lang.String UNIT_MEASURE_SYSTEM</pre>
<div class="block">The unit measure system for the logged user. To get the value, use a syntax like <code>userCp.getiNT(User.UNIT_MEASURE_SYSTEM)</code> where <b><i>userCp</i></b> is an instance of
 User class.
 <p>
 This will return 0 for metric system, 1 for imperial. Use this info in according with the enum <code>UnitMeasureSystem</code>:
 
 <pre>
 <code>UnitMeasureSystem.Metric
 UnitMeasureSystem.Imperial</code>
 </pre>
 
 </p></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.UNIT_MEASURE_SYSTEM">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="OFFLINE_USERID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OFFLINE_USERID</h4>
<pre>public static final&nbsp;java.lang.String OFFLINE_USERID</pre>
<div class="block">The offline user id. To get the value, use a syntax like <code>userCp.getString(User.OFFLINE_USERID)</code> where <b><i>userCp</i></b> is an instance of User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.OFFLINE_USERID">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ACCOUNT_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACCOUNT_TYPE</h4>
<pre>public static final&nbsp;java.lang.String ACCOUNT_TYPE</pre>
<div class="block">The account type for the logged user. To get the value, use a syntax like <code>userCp.getString(User.ACCOUNT_TYPE)</code> where <b><i>userCp</i></b> is an instance of User
 class.
 <p>
 The allowed types are:
 
 <pre>
 <code>User.AccountType_none
 User.AccountType_withAccount
 User.AccountType_facilityUser</code>
 </pre>
 
 </p></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.ACCOUNT_TYPE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LOGIN_MODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOGIN_MODE</h4>
<pre>public static final&nbsp;java.lang.String LOGIN_MODE</pre>
<div class="block">The login mode for the logged user. To get the value, use a syntax like <code>userCp.getString(User.LOGIN_MODE)</code> where <b><i>userCp</i></b> is an instance of User class.
 <p>
 The allowed types are:
 
 <pre>
 <code>User.LoginMedium_None
 User.LoginMedium_Credentials
 User.LoginMedium_QRCode
 User.LoginMedium_NFC
 User.LoginMedium_MassStorage
 User.LoginMedium_Facebook</code>
 </pre>
 
 </p></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.LOGIN_MODE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="HAS_MYWELLNESSKEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HAS_MYWELLNESSKEY</h4>
<pre>public static final&nbsp;java.lang.String HAS_MYWELLNESSKEY</pre>
<div class="block">Flag indicating if the user has the my wellness key. To get the value, use a syntax like <code>userCp.getBoolean(User.ACCOUNT_TYPE)</code> where <b><i>userCp</i></b> is an
 instance of User class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.HAS_MYWELLNESSKEY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FACEBOOK_TOKEN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FACEBOOK_TOKEN</h4>
<pre>public static final&nbsp;java.lang.String FACEBOOK_TOKEN</pre>
<div class="block">Represent the user facebook token</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.FACEBOOK_TOKEN">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="AccountType_none">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AccountType_none</h4>
<pre>public static final&nbsp;int AccountType_none</pre>
<div class="block">The default value is 0.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.AccountType_none">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="AccountType_withAccount">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AccountType_withAccount</h4>
<pre>public static final&nbsp;int AccountType_withAccount</pre>
<div class="block">The default value is 1.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.AccountType_withAccount">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="AccountType_facilityUser">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AccountType_facilityUser</h4>
<pre>public static final&nbsp;int AccountType_facilityUser</pre>
<div class="block">The default value is 2.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.AccountType_facilityUser">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="defaultBodyWeight">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>defaultBodyWeight</h4>
<pre>public static final&nbsp;int defaultBodyWeight</pre>
<div class="block">Default value for the user's body weight. The default value is 70 kg.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.defaultBodyWeight">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="defaultAge">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>defaultAge</h4>
<pre>public static final&nbsp;int defaultAge</pre>
<div class="block">Default value for the user's age. The default value is 30 years old.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.defaultAge">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="defaultBodyHeight">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>defaultBodyHeight</h4>
<pre>public static final&nbsp;int defaultBodyHeight</pre>
<div class="block">Default value for the user's body height. The default value is 170 cm.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.defaultBodyHeight">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="Male">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Male</h4>
<pre>public static final&nbsp;int Male</pre>
<div class="block">The default value is 1</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.Male">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="Female">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Female</h4>
<pre>public static final&nbsp;int Female</pre>
<div class="block">The default value is 2</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.Female">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="NoEntertainment">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NoEntertainment</h4>
<pre>public static final&nbsp;int NoEntertainment</pre>
<div class="block">Indicates that the logged user has no favorite entertainment. The default value is 0.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.NoEntertainment">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="Radio">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Radio</h4>
<pre>public static final&nbsp;int Radio</pre>
<div class="block">Indicates that the favorite entertainment of the logged user is radio. The default value is 1.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.Radio">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TV_Partial">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TV_Partial</h4>
<pre>public static final&nbsp;int TV_Partial</pre>
<div class="block">Indicates that the favorite entertainment of the logged user is TV. The default value is 2.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.TV_Partial">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TV_Full">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TV_Full</h4>
<pre>public static final&nbsp;int TV_Full</pre>
<div class="block">Indicates that the favorite entertainment of the logged user is TV in full screen mode. The default value is 3.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.TV_Full">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LoginMedium_None">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LoginMedium_None</h4>
<pre>public static final&nbsp;int LoginMedium_None</pre>
<div class="block">Indicates that the user is not logged. The default value is 0.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.LoginMedium_None">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LoginMedium_Credentials">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LoginMedium_Credentials</h4>
<pre>public static final&nbsp;int LoginMedium_Credentials</pre>
<div class="block">Indicates that the user has logged in with Credentials. The default value is 1.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.LoginMedium_Credentials">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LoginMedium_QRCode">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LoginMedium_QRCode</h4>
<pre>public static final&nbsp;int LoginMedium_QRCode</pre>
<div class="block">Indicates that the user has logged in with QR CODE. The default value is 2.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.LoginMedium_QRCode">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LoginMedium_NFC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LoginMedium_NFC</h4>
<pre>public static final&nbsp;int LoginMedium_NFC</pre>
<div class="block">Indicates that the user has logged in with NFC. The default value is 3.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.LoginMedium_NFC">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LoginMedium_MassStorage">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LoginMedium_MassStorage</h4>
<pre>public static final&nbsp;int LoginMedium_MassStorage</pre>
<div class="block">Indicates that the user has logged in with a key (TGS, MyWellnessKey, etc...). The default value is 4.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.LoginMedium_MassStorage">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LoginMedium_Facebook">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LoginMedium_Facebook</h4>
<pre>public static final&nbsp;int LoginMedium_Facebook</pre>
<div class="block">Indicates that the user has logged in with Facebook account. The default value is 5.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.LoginMedium_Facebook">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LoginMedium_Glass">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LoginMedium_Glass</h4>
<pre>public static final&nbsp;int LoginMedium_Glass</pre>
<div class="block">Indicates that the user has logged in with Glass. The default value is 6.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.LoginMedium_Glass">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LoginMedium_TAG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LoginMedium_TAG</h4>
<pre>public static final&nbsp;int LoginMedium_TAG</pre>
<div class="block">Indicates that the user has logged in with RFID TAG. The default value is 7.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.LoginMedium_TAG">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="MWAPPS_USERID_NOTIFICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MWAPPS_USERID_NOTIFICATION</h4>
<pre>public static final&nbsp;java.lang.String MWAPPS_USERID_NOTIFICATION</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.MWAPPS_USERID_NOTIFICATION">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="CONTENT_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONTENT_URI</h4>
<pre>public static final&nbsp;Uri CONTENT_URI</pre>
<div class="block">The Content Provider URI.</div>
</li>
</ul>
<a name="none">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>none</h4>
<pre>public static final&nbsp;int none</pre>
<div class="block">bluetooth accessories</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.none">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="iphone">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iphone</h4>
<pre>public static final&nbsp;int iphone</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.iphone">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="smartphone">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>smartphone</h4>
<pre>public static final&nbsp;int smartphone</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.smartphone">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="headphone">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>headphone</h4>
<pre>public static final&nbsp;int headphone</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.headphone">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="smartwatch">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>smartwatch</h4>
<pre>public static final&nbsp;int smartwatch</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.smartwatch">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="heartbelt">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>heartbelt</h4>
<pre>public static final&nbsp;int heartbelt</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.heartbelt">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="longin">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>longin</h4>
<pre>public static final&nbsp;int longin</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.longin">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="USER_SESSION_EXPIRED">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>USER_SESSION_EXPIRED</h4>
<pre>public static final&nbsp;java.lang.String USER_SESSION_EXPIRED</pre>
<div class="block">Obtain reference of singleton.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.User.USER_SESSION_EXPIRED">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="userSessionExpiredNotification()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>userSessionExpiredNotification</h4>
<pre>public&nbsp;void&nbsp;userSessionExpiredNotification()</pre>
</li>
</ul>
<a name="getInstance(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../../../com/technogym/android/unitysdk/User.html" title="class in com.technogym.android.unitysdk">User</a>&nbsp;getInstance(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="tearDown()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tearDown</h4>
<pre>public&nbsp;void&nbsp;tearDown()</pre>
<div class="block">Fake tear down does nothing because this Content Provider Proxy is a singleton.</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>tearDown</code>&nbsp;in class&nbsp;<code>com.technogym.android.unitysdk.ContentProviderProxy</code></dd>
</dl>
</li>
</ul>
<a name="reset()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reset</h4>
<pre>public&nbsp;void&nbsp;reset()</pre>
<div class="block">Reset every properties of the User content provider.</div>
</li>
</ul>
<a name="IsUserLogged()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IsUserLogged</h4>
<pre>public&nbsp;boolean&nbsp;IsUserLogged()</pre>
<div class="block">Indicates whether the user is logged in or not.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>True if the user is logged in, false otherwise.</dd></dl>
</li>
</ul>
<a name="getMwUserIdfromIntent(Intent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMwUserIdfromIntent</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getMwUserIdfromIntent(Intent&nbsp;intent)</pre>
</li>
</ul>
<a name="reset(Context)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>reset</h4>
<pre>public static&nbsp;void&nbsp;reset(Context&nbsp;ctx)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
